<?php



class TblscormcmicorrectresponseMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcmicorrectresponseMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcmicorrectresponsePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcmicorrectresponsePeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcmicorrectresponse');
		$tMap->setClassname('Tblscormcmicorrectresponse');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CMI_CORRECT_RESP_ID', 'CmiCorrectRespId', 'INTEGER', true, null);

		$tMap->addColumn('CMI_INTERACTION_ID', 'CmiInteractionId', 'INTEGER', false, null);

		$tMap->addColumn('PATTERN', 'Pattern', 'VARCHAR', false, 255);

	} 
} 